org.h2gis.functions.io.file_table

## Class H2Table

- java.lang.Object
- - org.h2.engine.DbObjectBase
  - - org.h2.schema.SchemaObjectBase
    - - org.h2.table.Table
      - - org.h2.table.TableBase
        - - org.h2gis.functions.io.file_table.H2Table

All Implemented Interfaces:
  org.h2.engine.DbObject, org.h2.schema.SchemaObject

    public class H2Table
    extends org.h2.table.TableBase

A table linked with a `FileDriver`

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from class org.h2.table.Table

`columns, compareMode, isHidden, TYPE_CACHED, TYPE_MEMORY`

### Fields inherited from class org.h2.engine.DbObjectBase

`comment, database, trace`

### Fields inherited from interface org.h2.engine.DbObject

`AGGREGATE, COMMENT, CONSTANT, CONSTRAINT, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, SYNONYM, TABLE_OR_VIEW, TRIGGER, USER, USER_DATATYPE`

### Constructor Summary

Constructors
Constructor and Description
`H2Table(org.h2gis.api.FileDriver driver, org.h2.command.ddl.CreateTableData data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.h2.index.Index` `addIndex(org.h2.engine.Session session, String indexName, int indexId, org.h2.table.IndexColumn[] cols, org.h2.index.IndexType indexType, boolean create, String indexComment)`
`void` `addRow(org.h2.engine.Session session, org.h2.result.Row row)`
`boolean` `canDrop()`
`boolean` `canGetRowCount()`
`void` `checkRename()`
`void` `checkSupportAlter()`
`void` `close(org.h2.engine.Session session)`
`long` `getDiskSpaceUsed()`
`ArrayList<org.h2.index.Index>` `getIndexes()`
`long` `getMaxDataModificationId()`
`org.h2.result.Row` `getRow(org.h2.engine.Session session, long key)`
`long` `getRowCount(org.h2.engine.Session session)`
`long` `getRowCountApproximation()`
`org.h2.table.Column` `getRowIdColumn()`
`org.h2.index.Index` `getScanIndex(org.h2.engine.Session session)`
`org.h2.table.TableType` `getTableType()`
`org.h2.index.Index` `getUniqueIndex()`
`void` `init(org.h2.engine.Session session)` Create row index
`boolean` `isDeterministic()`
`boolean` `isLockedExclusively()`
`boolean` `lock(org.h2.engine.Session session, boolean exclusive, boolean force)`
`void` `removeRow(org.h2.engine.Session session, org.h2.result.Row row)`
`void` `truncate(org.h2.engine.Session session)`
`void` `unlock(org.h2.engine.Session s)`

### Methods inherited from class org.h2.table.TableBase

`getCreateSQL, getDropSQL, isGlobalTemporary`

### Methods inherited from class org.h2.table.Table

`addConstraint, addDependencies, addDependentView, addSequence, addSynonym, addTrigger, canReference, canTruncate, checkDeadlock, checkWritingAllowed, commit, compareTypeSafe, doesColumnExist, dropMultipleColumnsConstraintsAndIndexes, findPrimaryKey, fire, fireAfterRow, fireBeforeRow, fireRow, getBestPlanItem, getCheckForeignKeyConstraints, getChildren, getColumn, getColumn, getColumns, getCompareMode, getConstraints, getCreateSQLForCopy, getDefaultValue, getDependentViews, getIndex, getIndexForColumn, getOnCommitDrop, getOnCommitTruncate, getOnUpdateValue, getPrimaryKey, getScanIndex, getTemplateRow, getTemplateSimpleRow, getType, hasSelectTrigger, isHidden, isLockedExclusivelyBy, isMVStore, isPersistData, isPersistIndexes, isQueryComparable, isTableExpression, isView, removeChildrenAndResources, removeConstraint, removeDependentView, removeIndex, removeIndexOrTransferOwnership, removeSequence, removeSynonym, removeTrigger, rename, renameColumn, setCheckForeignKeyConstraints, setColumns, setHidden, setOnCommitDrop, setOnCommitTruncate, setTableExpression, updateRows, validateConvertUpdateSequence`

### Methods inherited from class org.h2.schema.SchemaObjectBase

`getSchema, getSQL, initSchemaObjectBase`

### Methods inherited from class org.h2.engine.DbObjectBase

`getComment, getDatabase, getId, getModificationId, getName, initDbObjectBase, invalidate, isTemporary, isValid, setComment, setModified, setObjectName, setTemporary, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.engine.DbObject

`getComment, getDatabase, getId, getName, isTemporary, setComment, setTemporary`

### Constructor Detail

#### H2Table

    public H2Table(org.h2gis.api.FileDriver driver,
                   org.h2.command.ddl.CreateTableData data)
            throws IOException

Throws:
  `IOException`

### Method Detail

#### init

    public void init(org.h2.engine.Session session)

Create row index

Parameters:
  `session` - database session

#### lock

    public boolean lock(org.h2.engine.Session session,
                        boolean exclusive,
                        boolean force)

Specified by:
  `lock` in class `org.h2.table.Table`

#### close

    public void close(org.h2.engine.Session session)

Specified by:
  `close` in class `org.h2.table.Table`

#### unlock

    public void unlock(org.h2.engine.Session s)

Specified by:
  `unlock` in class `org.h2.table.Table`

#### getRow

    public org.h2.result.Row getRow(org.h2.engine.Session session,
                                    long key)

Overrides:
  `getRow` in class `org.h2.table.Table`

#### addIndex

    public org.h2.index.Index addIndex(org.h2.engine.Session session,
                                       String indexName,
                                       int indexId,
                                       org.h2.table.IndexColumn[] cols,
                                       org.h2.index.IndexType indexType,
                                       boolean create,
                                       String indexComment)

Specified by:
  `addIndex` in class `org.h2.table.Table`

#### removeRow

    public void removeRow(org.h2.engine.Session session,
                          org.h2.result.Row row)

Specified by:
  `removeRow` in class `org.h2.table.Table`

#### truncate

    public void truncate(org.h2.engine.Session session)

Specified by:
  `truncate` in class `org.h2.table.Table`

#### addRow

    public void addRow(org.h2.engine.Session session,
                       org.h2.result.Row row)

Specified by:
  `addRow` in class `org.h2.table.Table`

#### checkSupportAlter

    public void checkSupportAlter()

Specified by:
  `checkSupportAlter` in class `org.h2.table.Table`

#### getTableType

    public org.h2.table.TableType getTableType()

Specified by:
  `getTableType` in class `org.h2.table.Table`

#### getScanIndex

    public org.h2.index.Index getScanIndex(org.h2.engine.Session session)

Specified by:
  `getScanIndex` in class `org.h2.table.Table`

#### getUniqueIndex

    public org.h2.index.Index getUniqueIndex()

Specified by:
  `getUniqueIndex` in class `org.h2.table.Table`

#### getIndexes

    public ArrayList<org.h2.index.Index> getIndexes()

Specified by:
  `getIndexes` in class `org.h2.table.Table`

#### isLockedExclusively

    public boolean isLockedExclusively()

Specified by:
  `isLockedExclusively` in class `org.h2.table.Table`

#### getMaxDataModificationId

    public long getMaxDataModificationId()

Specified by:
  `getMaxDataModificationId` in class `org.h2.table.Table`

#### isDeterministic

    public boolean isDeterministic()

Specified by:
  `isDeterministic` in class `org.h2.table.Table`

#### canGetRowCount

    public boolean canGetRowCount()

Specified by:
  `canGetRowCount` in class `org.h2.table.Table`

#### canDrop

    public boolean canDrop()

Specified by:
  `canDrop` in class `org.h2.table.Table`

#### getRowCount

    public long getRowCount(org.h2.engine.Session session)

Specified by:
  `getRowCount` in class `org.h2.table.Table`

#### getRowCountApproximation

    public long getRowCountApproximation()

Specified by:
  `getRowCountApproximation` in class `org.h2.table.Table`

#### getDiskSpaceUsed

    public long getDiskSpaceUsed()

Specified by:
  `getDiskSpaceUsed` in class `org.h2.table.Table`

#### checkRename

    public void checkRename()

Specified by:
  `checkRename` in interface `org.h2.engine.DbObject`
Specified by:
  `checkRename` in class `org.h2.engine.DbObjectBase`

#### getRowIdColumn

    public org.h2.table.Column getRowIdColumn()

Overrides:
  `getRowIdColumn` in class `org.h2.table.Table`